Package com.independentsoft.office.odf

# Class BibliographyConfiguration

java.lang.Object
com.independentsoft.office.odf.BibliographyConfiguration

public class BibliographyConfiguration extends Object
Represents how bibliography entries are displayed in-line, and how they are displayed in a bibliography index.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BibliographyConfiguration()`
  Initializes a new instance of the BibliographyConfiguration class.
  `BibliographyConfiguration​(InternalXMLStreamReader reader)`
  Instantiates a new bibliography configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BibliographyConfiguration`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCountry()`
  Gets the country code used for sorting a bibliographic index.
  `String`
  `getLanguage()`
  Gets the language code used for sorting an alphabetical index.
  `String`
  `getPrefix()`
  Gets a string that is displayed before a bibliography entry's short name or number if it occurs outside the bibliography.
  `String`
  `getSortAlgorithm()`
  Gets the locale specific sorting algorithm by name.
  `List<SortKey>`
  `getSortKeys()`
  Contains the single sort key if bibliography entries are not displayed in document order.
  `String`
  `getSuffix()`
  Gets a string that is displayed after a bibliography entry's short name or number if it occurs outside the bibliography.
  `boolean`
  `isNumberedEntries()`
  Specifies whether a number is displayed for bibliography entries instead of their short name.
  `boolean`
  `isSortByPosition()`
  Specifies whether bibliography entries are displayed in the order of their positions in the document, or by selected fields.
  `void`
  `setCountry​(String country)`
  Sets the country code used for sorting a bibliographic index.
  `void`
  `setLanguage​(String language)`
  Sets the language code used for sorting an alphabetical index.
  `void`
  `setNumberedEntries​(boolean numberedEntries)`
  Specifies whether a number is displayed for bibliography entries instead of their short name.
  `void`
  `setPrefix​(String prefix)`
  Sets a string that is displayed before a bibliography entry's short name or number if it occurs outside the bibliography.
  `void`
  `setSortAlgorithm​(String sortAlgorithm)`
  Sets the locale specific sorting algorithm by name.
  `void`
  `setSortByPosition​(boolean sortByPosition)`
  Specifies whether bibliography entries are displayed in the order of their positions in the document, or by selected fields.
  `void`
  `setSuffix​(String suffix)`
  Sets a string that is displayed after a bibliography entry's short name or number if it occurs outside the bibliography.
  `String`
  `toString()`
  Converts the value of the current BibliographyConfiguration object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BibliographyConfiguration

    public BibliographyConfiguration()
    Initializes a new instance of the BibliographyConfiguration class.

  - ### BibliographyConfiguration

    public BibliographyConfiguration​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new bibliography configuration.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public BibliographyConfiguration clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current BibliographyConfiguration object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getPrefix

    public String getPrefix()
    Gets a string that is displayed before a bibliography entry's short name or number if it occurs outside the bibliography.
    Returns:
      the prefix

  - ### setPrefix

    public void setPrefix​(String prefix)
    Sets a string that is displayed before a bibliography entry's short name or number if it occurs outside the bibliography.
    Parameters:
      `prefix` - the new prefix

  - ### getSuffix

    public String getSuffix()
    Gets a string that is displayed after a bibliography entry's short name or number if it occurs outside the bibliography.
    Returns:
      the suffix

  - ### setSuffix

    public void setSuffix​(String suffix)
    Sets a string that is displayed after a bibliography entry's short name or number if it occurs outside the bibliography.
    Parameters:
      `suffix` - the new suffix

  - ### isNumberedEntries

    public boolean isNumberedEntries()
    Specifies whether a number is displayed for bibliography entries instead of their short name. The defined values for the are: -false: short names for bibliographic entries displayed. -true: number displayed for bibliographic entries.
    Returns:
      true, if is numbered entries

  - ### setNumberedEntries

    public void setNumberedEntries​(boolean numberedEntries)
    Specifies whether a number is displayed for bibliography entries instead of their short name. The defined values for the are: -false: short names for bibliographic entries displayed. -true: number displayed for bibliographic entries.
    Parameters:
      `numberedEntries` - the new numbered entries

  - ### isSortByPosition

    public boolean isSortByPosition()
    Specifies whether bibliography entries are displayed in the order of their positions in the document, or by selected fields. The defined values are: -false: bibliographic entries are displayed in the order of their positions in a document. -true: bibliographic entries are displayed as sorted by selected fields.
    Returns:
      true, if is sort by position

  - ### setSortByPosition

    public void setSortByPosition​(boolean sortByPosition)
    Specifies whether bibliography entries are displayed in the order of their positions in the document, or by selected fields. The defined values are: -false: bibliographic entries are displayed in the order of their positions in a document. -true: bibliographic entries are displayed as sorted by selected fields.
    Parameters:
      `sortByPosition` - the new sort by position

  - ### getLanguage

    public String getLanguage()
    Gets the language code used for sorting an alphabetical index.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language code used for sorting an alphabetical index.
    Parameters:
      `language` - the new language

  - ### getCountry

    public String getCountry()
    Gets the country code used for sorting a bibliographic index.
    Returns:
      the country

  - ### setCountry

    public void setCountry​(String country)
    Sets the country code used for sorting a bibliographic index.
    Parameters:
      `country` - the new country

  - ### getSortAlgorithm

    public String getSortAlgorithm()
    Gets the locale specific sorting algorithm by name.
    Returns:
      the sort algorithm

  - ### setSortAlgorithm

    public void setSortAlgorithm​(String sortAlgorithm)
    Sets the locale specific sorting algorithm by name.
    Parameters:
      `sortAlgorithm` - the new sort algorithm

  - ### getSortKeys

    public List<SortKey> getSortKeys()
    Contains the single sort key if bibliography entries are not displayed in document order.
    Returns:
      the sort keys